# Ogre::TextureFrameControllerValue Class Reference

Predefined controller value for getting / setting the frame number of a texture layer. More...

`#include <OgrePredefinedControllers.h>`

Inheritance diagram for Ogre::TextureFrameControllerValue:
[legend]

List of all members.

## Public Member Functions

| TextureFrameControllerValue (TextureUnitState *t)
Real | getValue (void) const
| Gets the frame number as a parametric value in the range [0,1].
void | setValue (Real value)
| Sets the frame number as a parametric value in the range [0,1]; the actual frame number is value * (numFrames-1).
virtual void | setValue (T value)=0

## Protected Attributes

TextureUnitState * | mTextureLayer

## Detailed Description

Predefined controller value for getting / setting the frame number of a texture layer.

Definition at line 71 of file OgrePredefinedControllers.h.

## Constructor & Destructor Documentation

Ogre::TextureFrameControllerValue::TextureFrameControllerValue | ( | TextureUnitState * | t | ) |

## Member Function Documentation

Real Ogre::TextureFrameControllerValue::getValue | ( | void |  | ) | const`[virtual]`

Gets the frame number as a parametric value in the range [0,1].

Implements Ogre::ControllerValue< T >.

void Ogre::TextureFrameControllerValue::setValue | ( | Real | value | ) |

Sets the frame number as a parametric value in the range [0,1]; the actual frame number is value * (numFrames-1).

template<typename T>

virtual void Ogre::ControllerValue< T >::setValue | ( | T | value | ) | `[pure virtual, inherited]`

## Member Data Documentation

TextureUnitState* Ogre::TextureFrameControllerValue::mTextureLayer`[protected]`

Definition at line 74 of file OgrePredefinedControllers.h.

The documentation for this class was generated from the following file:

- OgrePredefinedControllers.h

Copyright © 2000-2005 by The OGRE Team
This work is licensed under a Creative Commons Attribution-ShareAlike 2.5 License.
Last modified Sat May 10 16:27:58 2008